package com.saye.hrs.service.impl;

import com.saye.hrs.mapper.SymptomMapper;
import com.saye.hrs.model.BodyDivision;
import com.saye.hrs.service.SymptomService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 症状管理业务接口实现类
 * @author: Mr.zs
 * @create: 2024-04-09 17:09
 **/
@Service
public class SymptomServiceImpl implements SymptomService {


    @Resource
    SymptomMapper symptomMapper;

    @Override
    public List<HashMap<Object, Object>> findAllSymptom(Map<String, String> symptom) {

        return symptomMapper.findAllSymptom(symptom);
    }

    @Override
    public List<BodyDivision> findAllBodyArea() {
        return symptomMapper.findAllBodyArea();
    }

    @Override
    public void addSymptom(HashMap<Object, Object> map) {
        symptomMapper.addSymptom(map);
    }

    @Override
    public Integer findMaxId() {
        return symptomMapper.findMaxId();
    }

    @Override
    public void modifySymptom(HashMap<Object, Object> map) {

        symptomMapper.modifySymptom(map);
    }

    @Override
    public void delSymptom(HashMap<Object, Object> map) {
        symptomMapper.delSymptom(map);
    }

    @Override
    public List<HashMap<Object, Object>> getSymptomByAreaType(HashMap<Object, Object> searchMap) {
        return symptomMapper.getSymptomByAreaType(searchMap);
    }

    @Override
    public List<BodyDivision> findAreaTypeBySexAdult(Map<String, String> searchMap) {
        return symptomMapper.findAreaTypeBySexAdult(searchMap);
    }


}
